/*
 * Theme Name: WSCOE Bravo Theme Child
 * Theme URI: https://www.engr.colostate.edu/operations/web/
 * Author: WSCOE DATI team, Russell Dickerson lead developer 
 * Author URI: https://www.engr.colostate.edu/operations/web/
 * Description: This theme is for units within the Walter Scott, Jr. College of Engineering, and is CSU-branded. The theme features additional widget areas for the upper footer, home page, subhead logo bar, and right side of header.
 * Version: 2.6.1
 * Template: wscoe-bravo
 * Tags:
 */



.wp-block-social-links {
	display: flex;
	list-style-type: none;
}

/* Neux Branding CSS for 2025 below
	* russ, 0625
	*/

/* Bodoni header in the secondary template */
.largeBodoniHead h1, .inlineBodoni h2 {
	font-family: 'Bodoni Moda', serif;
	font-weight: 500;
	font-style: italic;
	font-variation-settings: "opsz" 10;
}


/* different color backgrounds behind specific header text for primary template
	where elementor tries filling across entire divs */
	
	/* adjust overall classes for text-specific background colors for primary template */
	[class^="NBtextbgd-"]  {
		padding: .2rem .8rem;
		font: inherit;
		/*line-height: normal;*/
	} 
	/* adjust color specific heading 1 class for primary template
	 h1 > span[class^="NBtextbgd-"] {
		font-size: initial;
		font-weight: inherit;
	}  */
	.NBtextbgd-ENGRN {
		/* all: revert; */
		background-color: #CFFC00;
	}
	.NBtextbgd-HTBL {
		background-color: #008FB3;
	}
	.NBtextbgd-AGORG {
		background-color: #D9782D;
	}
	.NBtextbgd-FLWRED {
		background-color: #C64F3C;
	}
	.NBtextbgd-LVRLN {
		background-color: #82C503;
	}
	.NBtextbgd-SUNSH {
		background-color: #FFC038;
	}	
	.NBtextbgd-PURP {
		background-color: #7E5475;
	}
	.NBtextbgd-STALW {
		background-color: #105456;
	}
	.NBtextbgd-OVALG {
		background-color: #006144;
	}

	/* adjusts Neux background color calls for text effect instead of headers */
		.brandtextcolor[class^="NBtextbgd-"] {
			padding: .2rem;
		}

	/* adjusts Neux brand background color calls regardless of color for primary template */
		@media (max-width:480px) {
			[class^="NBtextbgd-"] {
				padding: .2rem;
				margin: 2rem auto;
			}
		}

/* fixes rss icon for accessibility, russ 040225 */
	img.rss-widget-icon {
    width: 25px;
    height: auto;
    margin: .1em;
}

/* remove margins for Elementor pages - temp fix 072925 */
	.elementor-page #page {
		margin: unset;
		padding: unset;
		max-width: unset;
	}

/* fixes elementor button text weight override, russ 102125 */
	span.elementor-button-text {
	    font-weight: 500;
	}

	
/* 
*********************** WSCOE header main site layout, wider adaptation for alternate menu
* only adaptions for wide menu appear here, all others in parent 092425
*/

	.site-header { 
		all: unset;
	}
	#masthead {
		all: unset;
		position: sticky;
		top: 0;
		z-index: 50;
		min-height: 70px;
	}
	
	.mainscubannerstyle { 
		color: #fff;
		padding: 0;
		background: #1e4d2b;
	}
	#maincsubanner {
		display: grid; 
		grid-auto-flow: row dense; 
		grid-template-columns: 1fr; 
		gap: 0 1em; 
		align-items: center;
		padding: 2vh 2vw;
		position: sticky;
		top: 0;
		z-index: 50;
		min-height: 70px;
		/* disable or adjust brushstroke in header below */
			background-image: url("css/CSU_FindYourEnergy_BrushStrokeTexture_Raster_RGB-F1version.webp");
			background-repeat:no-repeat;
			background-size: cover;
		    background-position: 40% 40%;
		    background-blend-mode: color-burn;
	    border-bottom: solid thin #FFC038;		
	}

	#landingmenusubhead {
		padding: 0 2vw 3vh 2vw;
		background-color: #105456;
		border-image: url(css/htblue_color_bar_header_0525.webp) 10;
		border-image-width: 0 0 2vh 0;
		/* disable or adjust brushstroke in header below */
			background-image: url("css/CSU_FindYourEnergy_BrushStrokeTexture_Raster_RGB-F1version.webp");
			background-repeat:no-repeat;
			background-size: cover;
		    background-position: 66% 62%;
		    background-blend-mode: color-burn;
	}

	/* adjust corner menu for size on all screens */
	    @media (min-width: 600px) {
		    .btnMAX {
		        height: 60%;
		        width: 60px;
		        padding: .3rem .5rem;
		    }
		}


	/* adjust right header widgets for grid */
		.headerwidgets {
			display: grid;
			grid-auto-flow: row dense;
			grid-template-columns: 1fr;
			gap: 1em 1em;
			align-items: center;
			align-content: space-evenly;
		}

	/* adjust header search box for responsive */
		.headersearch {
		    justify-items: start;
		}
		.headersearch input, .headersearch button {
		    max-width: 80%;
		}
	    .wp-block-search {
	    	color: #000;
	    }			
		.wp-block-search__label {
		    font-weight: bold;
		}
		:where(.wp-block-search__button-inside .wp-block-search__inside-wrapper) {
		    border: none;
		}
		:where(.wp-block-search__button-inside .wp-block-search__inside-wrapper) .wp-block-search__input {
			border: none;
			border-radius: 0;
			padding: 0 4px;
		}
		.wp-block-search__button svg {
			height: 1.25em;
			min-height: 20px;
			min-width: 20px;
			width: 1.25em;
			fill: currentColor;
			vertical-align: text-bottom;
		}
		.wp-block-search__inside-wrapper {
		    display: flex;
		    flex: auto;
		    flex-wrap: nowrap;			
			max-width: 80%;
		}


	/* adjust center widgets in grid */
	    .open-menuMAX {
	        align-items: center;
			align-content: inherit;
	        justify-items: center;
	        width: 50vw;
	    }

	/* menu list styles for standard WP navigation without plugins */
		.open-menuMAX ul {
			display: grid;
			grid-auto-flow: row dense;
			grid-template-columns: 1fr 1fr;
			justify-content: center;
			align-items: start;
			margin: .1rem;
		}
		    .HeaderWidgetArea > h2, h2.widgettitle {
				margin: .1rem;
			}	

		/* adapt for mobile and hide wide nav */
		@media (max-width:599px) { 
			.open-menuMAX ul {
				grid-template-columns: 1fr;
			}		
			.open-menuMAX li, .open-menuMAX dl {
		        margin: 0;
		        padding: 0;
		    }
			.open-menuMAX ul li > a, .open-menuMAX ul dl > a {
		        font-size: small;
		    }		
			.open-menuMAX ul li {
				padding: 0;
			}    
		    .HeaderWidgetArea > h2, h2.widgettitle {
				font-size: large;
				font-weight: 600;
				margin: 0;
			}	
		}		    	


	@media (min-width: 1500px) {
	    .open-menuMAX {
	        grid-template-columns: 1fr;
	    }
	}	
	/* adapt for mobile nav; note, landing page nav must be set in grouped widget area */
		@media (min-width:800px) { 
			.corner-landingnav {
				display: none;
				visibility: hidden;
			}				
		}		

	/* adapt for mobile and hide wide nav; note, landing page nav must be set in grouped widget area */
		@media (max-width:799px) { 
			#landingmenusubhead {
				display: none;
				visibility: hidden;
			}
			.headerwidgets {
				grid-template-columns: 1fr;
				gap: .5rem;
			}
		    .open-menuMAX {
		        width: 90vw;
		    }				
		}		

